Subject: Re: [PATCH v3 0/4] Add NXP AUDMIX device and machine drivers

From: Viorel Suman <[email-masked]>
Date: Fri, 18 Jan 2019 13:16:24 +0000

Hi Rob, Nicolin, All,

On Jo, 2019-01-17 at 10:18 -0600, Rob Herring wrote:
> On Thu, Jan 17, 2019 at 12:46:25PM +0000, Viorel Suman wrote:
> > 
> > The patchset adds NXP Audio Mixer (AUDMIX) device and machine
> > drivers and related DT bindings documentation.
> > 
> > Changes since V2:
> > 1. Moved "dais" node from machine driver DTS node to device driver
> > DTS node
> >   as suggested by Rob.
> That was not what I suggested. You still have a virtual node which
> looks to me to be unnecessary.

To me removing virtual node implies that AUDMIX machine driver (imx-
audmix.c + virtual node) shall be removed and machine driver code
merged into device driver (fsl_audmix.c + device node) - please let me
know if my understanding is wrong.

The implication is that this makes AUDMIX device driver bounded to a
particular DAI type of interface - SAI. The original intention is to
keep AUDMIX device driver DAI-agnostic.

Indeed, currently the connection between AUDMIX and SAI IP blocks in
i.MX8QM and i.MX8QXP is fixed inside the SoC, but on other platforms we
may expect AUDMIX to be connected inside the SoC to other IP blocks -
to ESAI interface for instance.

At this moment it's a bit difficult for me to evaluate how critical is
to keep the device driver DAI-agnostic, so if you think it's better to
go now with a SAI bounded AUDMIX device driver - please confirm, I'll
merge machine driver code into device driver.

Thank you,
Viorel

> 
> > 
> > 
> > Changes since V1:
> > 1. Original patch split into distinct patches for the device driver
> > and
> >   DT binding documentation.
> > 2. Replaced AMIX with AUDMIX in both code and file names as it
> > looks more
> >   RM-compliant.
> > 3. Removed polarity control from CPU DAI driver as suggested by
> > Nicolin.
> > 4. Added machine driver and related DT binding documentation.
> > 
> > Viorel Suman (4):
> >   ASoC: fsl: Add Audio Mixer CPU DAI driver
> >   ASoC: add fsl_audmix DT binding documentation
> >   ASoC: fsl: Add Audio Mixer machine driver
> >   ASoC: add imx-audmix DT binding documentation
> > 
> >  .../devicetree/bindings/sound/fsl,audmix.txt       |  50 ++
> >  .../devicetree/bindings/sound/imx-audmix.txt       |  18 +
> >  sound/soc/fsl/Kconfig                              |  16 +
> >  sound/soc/fsl/Makefile                             |   5 +
> >  sound/soc/fsl/fsl_audmix.c                         | 551
> > +++++++++++++++++++++
> >  sound/soc/fsl/fsl_audmix.h                         | 102 ++++
> >  sound/soc/fsl/imx-audmix.c                         | 334
> > +++++++++++++
> >  7 files changed, 1076 insertions(+)
> >  create mode 100644
> > Documentation/devicetree/bindings/sound/fsl,audmix.txt
> >  create mode 100644 Documentation/devicetree/bindings/sound/imx-
> > audmix.txt
> >  create mode 100644 sound/soc/fsl/fsl_audmix.c
> >  create mode 100644 sound/soc/fsl/fsl_audmix.h
> >  create mode 100644 sound/soc/fsl/imx-audmix.c
> >